Page MenuHomePhabricator

Contribute to Use Cases and User Stories for Program and Events Dashboard
Closed, ResolvedPublic

Description

The Programs, Capacity and Learning team (PC&L) is hoping to guide some work on the Program and Events Dashboard next month (February 2016). To make sure that we are responding to community needs and to prioritize the engineering work, we are seeking input on user stories for 3 main use cases:

  • Education
  • Editathons and Workshops
  • Writing competitions

We should figure out our personas and the use cases for this app, specifically with regard to usability outside of the en.wiki context. For example, someone has their browser set to prefer Finnish, but they are working on a class that translates from ru.wiki to en.wiki and adds commons images. What link should they use to get to the dashboard? What filter should be applied to the course board? How will they navigate to their course?

Please review what is being collected on mw:Wikipedia_Education_Program/Dashboard and ask yourself the following questions:

  1. Do the user stories meet my needs for a project management tool? (Is everything you need/want explicitly covered? If you already use a tool, does this tool look adequate?)
  2. Is anything missing? (If something is missing, please add it! If you already use a tool that has functionality not mentioned, should it be added?)
  3. Do the user stories make sense? (Is the language clear? Are there adequate details? Etc.)

Please add input on the wiki page or ask questions on the discussion page.

Event Timeline

TFlanagan-WMF raised the priority of this task from to High.
TFlanagan-WMF updated the task description. (Show Details)
Restricted Application added subscribers: Base, Aklapper. · View Herald TranscriptJan 26 2016, 8:48 PM

Adding education program leaders who have expressed interest and expertise, especially with tools like the Education Extension

Adding people who are managing the project from PC&L

Adding people interested in helping this project from CE and Engineering and Wiki Ed Foundation

Ata added a subscriber: Ata.Jan 27 2016, 2:22 PM
Pine awarded a token.Feb 17 2016, 7:01 PM
Pine added a subscriber: Pine.
DStrine removed a subscriber: awight.Oct 31 2016, 2:16 PM
Ragesoss closed this task as Resolved.Feb 28 2017, 9:49 PM
Ragesoss claimed this task.

This got done and utilized a while ago.